Skip to main content
PATCH
Update account fee configurations

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Headers

Idempotency-Key
string
required

Client-supplied key that deduplicates retried requests. Reusing a key returns the original result instead of repeating the action.

Api-Signature
string
required

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Pattern: ^[0-9A-Fa-f]{128,160}$
Api-Timestamp
integer<int64>
required

Current timestamp, represented as unix epoch seconds

Path Parameters

accountId
string<uuid>
required

Unique identifier for the account

Example:

"3486b413-93d3-4447-afce-2b9c9dc34a32"

Body

application/json

Fee configs to set

Fee configs keyed by fee type. Currently only MANAGEMENT, ADVISORY, and MODEL can be set, but CUSTODY can also be read.

{key}
Account Periodic Fee Config · object

A rate-calculated fee - the fee amount is derived from rate at billing time.

Response

Success

data
Account Fee Configs · object
required

Fee configs keyed by fee type. Currently only MANAGEMENT, ADVISORY, and MODEL can be set, but CUSTODY can also be read.